Skip to main content
POST
Move or rename a file.

Authorizations

X-API-Key
string
header
required

Company API key - scoped to a specific company. Generate from the Integrations page in your dashboard.

Path Parameters

project_id
string
required

Body

application/json

Move/rename parameters

Request body for moving/renaming a project file

companyId
string
required

Company ID

source
string
required

Source file path

destination
string
required

Destination file path

Response

Moved file

Project file object

id
string

File ID

name
string

File name

path
string

File path

type
string

File type/extension

mimeType
string

MIME type

content
string

File content (if requested)

isDirectory
boolean

Whether this is a directory

size
integer

File size in bytes

isPublished
boolean

Whether file is publicly published

publicSlug
string

Public URL slug (if published)

publicUrl
string

Full public URL (if published)

created
number

Creation timestamp

updated
number

Last update timestamp